import { setupRouter } from '@/router'
import { setupStores } from '@/stores'
import type { App } from 'vue'
import { setupElIcons } from '@/plugins/icons'
import { setupDirectives } from '@/plugins/directives'

export default {
  install(app: App<Element>) {
    // 路由(router)
    setupRouter(app)
    // 状态管理(store)
    setupStores(app)
    // Element-plus图标
    setupElIcons(app)
    // 自定义指令
    setupDirectives(app)
  }
}
